
Get Book
View a book from the Penguin Classics collection
Selects a book from the Penguin Classics, based on the supplied unique book id. The book will contain a list of articles that comprise the book, with links to each article. Additional information is provide for the author(s) and publisher of the book. All of the content of the book is stored in it’s associated articles.
Example of viewing a book
curl http://bifrost.pearson.com/penguin/classics/v1/books/6x388PneTa3m9y?apikey=my_api_key
{
"status": 200,
"dataset": "black_classics",
"url": "https://api.pearson.com/penguin/classics/v1/books/6x388PneTa3m9y?apikey=my_api_key",
"book": {
"id": "6x388PneTa3m9y",
"title": "A Tale of Two Cities",
"isbn": "9780141974651",
"url": "https://api.pearson.com/penguin/classics/v1/books/6x388PneTa3m9y?apikey=my_api_key",
"authors": [
{
"full_name": "Charles Dickens"
}
],
"publisher": {
"name": "Penguin Books Ltd"
},
"articles": [
{
"title": "BOOK THE FIRST: Chapter One: The Period",
"id": "6x38tmvQTcYdN0",
"url": "https://api.pearson.com/penguin/classics/v1/articles/6x38tmvQTcYdN0?apikey=my_api_key"
},
{
"title": "BOOK THE FIRST: Chapter Two: The Mail",
"id": "6x398cMXq9AXyY",
"url": "https://api.pearson.com/penguin/classics/v1/articles/6x398cMXq9AXyY?apikey=my_api_key"
},
...
]
}
}